
// USB connector points out -Y. Center is close to (0,0,0)
module qt_clip() {
    xx = 30;
    yy = 30;
    zz = 12;

    translate(-.5 * [0,-yy-12, 0] + [0, 0, -.001])
    intersection() {
        import("QTPy-Case-Bottom.stl", convexity=8);
        translate([-xx/2,-yy-6,.001])
        cube([30,30,12]);
    }
}

qt_clip();
translate([0,4,35/2-2])
difference() {
    cube([35,35,35], center=true);
    translate([0,-2,2])
    cube([36,35,35], center=true);
    translate([0,0,5])
    rotate([90,0,0])
    cylinder(d=18.5, h=50, center=true);
}
